Module Kleurcode
    '-zwart  = 0            x0,0
    '-bruin  = 1 = 1%	
    '-rood 	 = 2 = 2%
    '-oranje = 3 = 5%	
    '-geel 	 = 4 
    '-groen  = 5
    '-blauw  = 6
    '-violet = 7
    '-grijs  = 8            x0,01 
    '-wit    = 9            x0,1
    '-Zilver     = 10%'   

    'Eerste ring
    Public Function kleurcodeRingEen(ByVal Ring1) As Color

        Select Case Ring1
            Case 0
                kleurcodeRingEen = Color.Black
            Case 1
                kleurcodeRingEen = Color.Brown
            Case 2
                kleurcodeRingEen = Color.Red
            Case 3
                kleurcodeRingEen = Color.Orange
            Case 4
                kleurcodeRingEen = Color.Yellow
            Case 5
                kleurcodeRingEen = Color.Green
            Case 6
                kleurcodeRingEen = Color.Blue
            Case 7
                kleurcodeRingEen = Color.Violet
            Case 8
                kleurcodeRingEen = Color.Gray
            Case 9
                kleurcodeRingEen = Color.White
        End Select

    End Function

    'Tweede ring:
    Public Function kleurcodeRingTwee(ByVal Ring2) As Color

        Select Case Ring2
            Case 0
                kleurcodeRingTwee = Color.Black
            Case 1
                kleurcodeRingTwee = Color.Brown
            Case 2
                kleurcodeRingTwee = Color.Red
            Case 3
                kleurcodeRingTwee = Color.Orange
            Case 4
                kleurcodeRingTwee = Color.Yellow
            Case 5
                kleurcodeRingTwee = Color.Green
            Case 6
                kleurcodeRingTwee = Color.Blue
            Case 7
                kleurcodeRingTwee = Color.Violet
            Case 8
                kleurcodeRingTwee = Color.Gray
            Case 9
                kleurcodeRingTwee = Color.White
        End Select

    End Function

    'Derde ring:
    Public Function kleurcodeRingDrie(ByVal Ring3) As Color

        Select Case Ring3
            Case 1
                kleurcodeRingDrie = Color.Gray
            Case 2
                kleurcodeRingDrie = Color.White
            Case 3
                kleurcodeRingDrie = Color.Black
            Case 4
                kleurcodeRingDrie = Color.Brown
            Case 5
                kleurcodeRingDrie = Color.Red
            Case 6
                kleurcodeRingDrie = Color.Orange
            Case 7
                kleurcodeRingDrie = Color.Yellow
            Case 8
                kleurcodeRingDrie = Color.Green
            Case 9
                kleurcodeRingDrie = Color.Blue
            Case 10
                kleurcodeRingDrie = Color.Violet
        End Select

    End Function
End Module